<article class="product-card">
  <p-card >
    <ng-template pTemplate="header">
      <div class="p">
        Producto: 
        <br>
        <strong>
          {{product.nombre}}
        </strong>
      </div>
    </ng-template>
    <section>
      <div class="product-image-container">
        <div *ngFor="let image of product.imagenes">
          <img [src]="baseUrl + image.imagenUrl" height="140px" alt="p">
        </div>
      </div>
    </section>
    <ng-template pTemplate="footer">
      <div class="p price">
        <span class="currency">S/ </span>{{product.precioVenta | number:'1.2-2'}}
      </div>
      <p-button label="Agregar al carrito" 
               icon="pi pi-cart-plus" (click)="setProduct()"></p-button>
    </ng-template>
  </p-card>
</article>